Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.nailgun
Class Alias

    java.lang.Object
      com.martiansoftware.nailgun.Alias

All Implemented Interfaces:
  Comparable

public class Alias
extends Object
implements Comparable

Provides a means to map memorable, short names to classes in order to make the issuing of commands more convenient. For example, an Alias can map the "`mycommand`" command to the `com.yourdomain.yourpackage.YourClass` class. Obviously, it's a lot easier to type "`ng mycommand`" than the fully qualified class name.

Author:
  Marty Lamb

Constructor Summary
`Alias(String name, String description, Class clazz)` Creates a new Alias with the specified properties.

Method Summary
`int` | `compareTo(Object o)` Compares Alias names - no other fields are compared.
`boolean` | `equals(Object o)` Checks whether two Aliases have the same name.
`Class` | `getAliasedClass()` Returns the `Class` object providing a static `main()` or `nailMain()` method for this command.
`String` | `getDescription()` Returns a description for the aliased command
`String` | `getName()` Returns the name of the aliased command
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Alias

    public Alias(String name,
                 String description,
                 Class clazz)

  Creates a new Alias with the specified properties.

Parameters:
  `name` - the alias name (short command)
  `description` - a description of the command
  `clazz` - the class implementing the command

Method Detail

### getAliasedClass

    public Class getAliasedClass()

  Returns the `Class` object providing a static `main()` or `nailMain()` method for this command.

  Returns:
    the `Class` object providing a static `main()` or `nailMain()` method for this command.

### getName

    public String getName()

  Returns the name of the aliased command

  Returns:
    the name of the aliased command

### getDescription

    public String getDescription()

  Returns a description for the aliased command

  Returns:
    a description for the aliased command

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object o)

  Checks whether two Aliases have the same name. Does not compare any other fields.

  Parameters:
    `o` - the other Alias to check
  Returns:
    true if the specified Alias has the same name as this Alias.

### compareTo

    public int compareTo(Object o)

  Compares Alias names - no other fields are compared.

  Specified by:
    `compareTo` in interface `Comparable`
  See Also:
    `Comparable.compareTo(Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2004, Martian Software, Inc.